Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.20 veröffentlicht (27.02.19)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
Cookie Law
#1
Eine neue Erweiterung wurde veröffentlicht: Cookie Law

Zitat:Name: Cookie Law
Beschreibung: Gebe Informationen über Cookies, die das Forum setzt und die Einstellungs-Optionen.
Website: https://github.com/MattRogowski/Cookie-Law
Autor: Matt Rogowski
Autorseite: https://matt.rogow.ski
Version: 1.0.0
Kompatibilität: 1.6.x, 1.8.x
Dateien: 2
hinzugefügte Templates: 6
geänderte Template: 2
hinzugefügte Einstellungen: 1
Information:
Dieses Plugin versucht, ein neues EU-Recht einzuhalten, das die Zustimmung von Benutzern erfordert, bevor Cookies auf Ihren Browser eingestellt werden können.
Du kannst den Benutzer entweder benachrichtigen, dass Cookies verwendet werden oder Benutzern die Möglichkeit geben, Cookies zu akzeptieren oder abzulehnen, sowie weitere Informationen zu diesen zu sehen, einschließlich, was eingestellt ist und was sie tun.
Installation:
Upload ./inc/plugins/cookielaw.php to ./inc/plugins/
Upload ./inc/languages/english/cookielaw.lang.php to ./inc/languages/english/
Upload ./inc/languages/deutsch_du/cookielaw.lang.php to ./inc/languages/deutsch_du/
Upload ./inc/languages/deutsch_sie/cookielaw.lang.php to ./inc/languages/deutsch_sie/
Im ACP > Plugins > Aktivieren
Change Log:
26.05.12 - v0.1 -> erste 'beta' Release.
25.08.14 - v0.1 -> v1.0 -> MyBB 1.8 kompatibel. Bugfix für Berechtigungen nach dem Ablehnen von Cookies. Einstellung für die Anzeigemethode hinzugefügt. Für das Upgrade, deakivieren, neu hoch laden ./inc/plugins/cookielaw.php und ./inc/languages/english/cookielaw.lang.php, aktivieren.
Zitieren
#2
Eine neue Version wurde veröffentlicht: Cookie Law 1.0.0
Zitieren
#3
Guten Abend/Nacht

Ich habe dieses tolle Plugin heute bei mir im Forum installiert.
Im Grunde klappt auch alles einwandfrei. Ich habe mich aber nun versucht auszuloggen. Dabei kam eine Fehlermeldung und ich war wieder eingeloggt.
Ich benutzte von MyBB die Version: MyBB 1.8.14

Hier die Fehlermeldung: siehe Anhang


Danke schon einmal für die Hilfe.

Lieben Gruß


Angehängte Dateien Thumbnail(s)
   
Zitieren
#4
Sieht danach aus, dass Du die Sprachdatei member.lang.php nicht mit dem korrekten Editor bearbeitet hast.
An dem Plugin dürfte es nicht liegen, denn das hatte ich letztens auch mal ausprobiert und diesen Fehler nicht erhalten.
viele Grüße
Jockl
übersetzte und eigene Plugins
Zitieren
#5
Ah super, genau daran hat es gelegen. Vielen Dank für die schnelle Antwort
Zitieren
#6
Hallo,

ich benutze aktuell das BootBB Theme, und da wird mir leider nicht der Cookie-Änderungslink in der Fußzeile angezeigt. Welchen Code muss ich wo einfügen, damit er sichtbar und verwendbar ist?

Edit: Hat sich erledigt, mit einem Zweitacount habe ich den Link gefunden. ^^

Für andere User, die wegen des Plugins auch auf dem Schlauch stehen:
Diesen Link muss man in der Fußzeile einfügen.

Code:
<a href="misc.php?action=cookielaw_info" target="_self">Cookie-Einstellungen</a>
Zitieren
#7
Da ich den Namen meines Forums geändert hatte stelle ich gerade fest das die Überschrift: Einverständniserklärung des Forums (Name des Forums) sich nicht geändert hat. Wo kann ich das einstellen?

Ich habe mich schon in den Dateien des Plugins umgesehen aber nichts gefunden

Danke schön.
Zitieren
#8
Mal mit Cache leeren probiert?
My  PHP-Version: 7.3.1 | MySQL-Version: 5.7.21
My  Plugins: See all
------
Es gibt nur 10 Arten von Menschen. Die, die binär verstehen - und die, die es nicht tun






Zitieren
#9
Ja. Trotzdem ist der alte Name immer noch da.

Wo genau kann ich zu dem Text etwas hinzufügen? Ich weiß das es funktioniert nur nicht mehr wie. Und eben wo ich das eben geschriebene ändern kann.

Edit: Hat sich erledigt. Habe es gefunden.

Danke trotzdem für die Hilfe.
Zitieren
#10
Hallöchen ich habe ein Problem.

Und zwar habe ich das Plugin in meinem Forum installiert. Ich weiß nicht ob es an einer Template liegt oder nicht - was ich allerdings bezweifle, da es in Windows und Linux fehlerfrei funktioniert - aber mit apple (IOS, Safari) wird teilweise der Pop Up beim betreten der Seite gar nicht erst angezeigt (IOS) oder man kann die Nachricht nicht mehr wegklicken.

Folgendes habe ich getan, um den Fehler zu beheben:

Da ich ursprünglich davon ausgegangen bin, dass es an einem vielleicht schiefgelaufenen Update gelegen hat, habe ich mein Forum neu installiert, alle plugins ebenfalls neu installiert, dann die DB einen schritt nach dem anderen übetragen und eingefügt und immer testen lassen ob es geht - es ist KEIN fehler in der DB, da ging es immer.

Dann hab ich die Settings mit meinem Tester nach und nach durchprobiert. Wir sind dann auf eine Falsche Cookieeinstellung gekommen, die das Fehlverhalten auslöste. Das habe ich korrigiert.

Mittlerweile habe ich das problem allerdings WIEDER.
Weil ich nun lediglich noch von einem vielleicht falschen Template ausgehen kann, habe ich das Plugin De- und wieder Reinstalliert. Es klappt immer noch nicht. Ich weiß ehrlich nicht mehr was ich noch tun soll.

Ich bitte um Hilfe.

LG Ray
Zitieren


Möglicherweise verwandte Themen...
Thema Verfasser Antworten Ansichten Letzter Beitrag
  Cookie Law MyBB.de Bot 1 932 25.08.2014, 00:15
Letzter Beitrag: MyBB.de Bot